[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetViewPortOrgEx

Returns the origin of the viewport for a device context.

## Declaration

Source position: winapih.inc line 157

`public function TWidgetSet.GetViewPortOrgEx(`
`DC: HDC;`
`P: PPoint`
`):Integer; virtual;`

## Arguments

`P` |  | Receives the viewport origin.

## Function result

False (zero) on failure.

## See also

TWidgetSet.SetViewPortOrgEx |  | Sets the device origin corresponding to the window origin (0,0) in a device context.
TWidgetSet.GetViewPortExtEx |  | Returns the size of the viewport for a device context.